---
title: <map>
slug: Web/HTML/Element/map
tags:
  - Element
  - HTML
  - HTML embedded content
  - Multimedia
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p>The <strong>HTML <code>&lt;map&gt;</code> element</strong> is used with {{HTMLElement("area")}} elements to define an image map (a clickable link area).</p>

<div>{{EmbedInteractiveExample("pages/tabbed/map.html", "tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>Any <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Transparent_content_model">transparent</a> element.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLMapElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("name")}}</dt>
 <dd>The <code>name</code> attribute gives the map a name so that it can be referenced. The attribute must be present and must have a non-empty value with no space characters. The value of the <code>name</code> attribute must not be a compatibility-caseless match for the value of the <code>name</code> attribute of another <code>&lt;map&gt;</code> element in the same document. If the {{htmlattrxref("id")}} attribute is also specified, both attributes must have the same value.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;map name="primary"&gt;
  &lt;area shape="circle" coords="75,75,75" href="left.html"&gt;
  &lt;area shape="circle" coords="275,75,75" href="right.html"&gt;
&lt;/map&gt;
&lt;img usemap="#primary" src="https://placehold.it/350x150" alt="350 x 150 pic"&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Examples', '350', '166', '', 'Web/HTML/Element/map') }}</p>

<h3 id="Expected_live_example_output">Expected live example output</h3>

<p>The live example above should appear similar to the following images (when using your keyboard tab key):</p>

<p><em>For the <code>left.html</code> link:</em><br>
 <img alt="" src="screen_shot_2017-02-02_at_10.48.40_pm.png" style="height: 156px; width: 356px;"></p>

<p><em>For the <code>right.html</code> link</em><br>
 <img alt="" src="screen_shot_2017-02-02_at_10.49.04_pm.png" style="height: 157px; width: 355px;"></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'embedded-content.html#the-map-element', '&lt;map&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'semantics-embedded-content.html#the-map-element', '&lt;map&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/objects.html#h-13.6.1', '&lt;map&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.map")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("a")}}</li>
 <li>{{HTMLElement("area")}}</li>
</ul>
